controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\LoginForm;
use app\models\ContactForm;
use yii\data\ActiveDataProvider;
use yii\data\SqlDataProvider;
use app\models\Equipo;
use app\models\Ciclista;
use app\models\Puerto;
use app\models\Etapa;
use app\models\Maillot;
use app\models\Lleva;

class SiteController extends Controller {

    /**
     * {@inheritdoc}
     */
    public function behaviors() {
        return [
            'access' => [
                'class' => AccessControl::className(),
                'only' => ['logout'],
                'rules' => [
                    [
                        'actions' => ['logout'],
                        'allow' => true,
                        'roles' => ['@'],
                    ],
                ],
            ],
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'logout' => ['post'],
                ],
            ],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function actions() {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }

    /**
     * Displays homepage.
     *
     * @return string
     */
    public function actionIndex() {
        return $this->render('index');
    }

    public function actionEquipo() {
        $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find()->select('nomequipo, COUNT(dorsal)nciclistas')->distinct()->groupBy('nomequipo'),
            'pagination' => [
                'pageSize' => 30,
            ],
        ]);
        $variable = yii:: $app->db->createCommand("SELECT DISTINCT c1.nomequipo,COUNT(numetapa)etapasGanadas FROM etapa RIGHT JOIN (select nomequipo,dorsal FROM ciclista )c1 USING(dorsal)GROUP BY c1.nomequipo")->queryAll();
        $variablepuerto = yii:: $app->db->createCommand("SELECT DISTINCT c1.nomequipo,COUNT(nompuerto)puertosganados FROM puerto RIGHT JOIN (select nomequipo,dorsal FROM ciclista )c1 USING(dorsal)GROUP BY c1.nomequipo")->queryAll();
        $variablemaillot = yii:: $app->db->createCommand("SELECT DISTINCT c1.nomequipo,COUNT(código)maillotsllevados FROM lleva RIGHT JOIN (select nomequipo,dorsal FROM ciclista )c1 USING(dorsal)GROUP BY c1.nomequipo")->queryAll();

        return $this->render("equipo", [
                    "resultado" => $dataProvider,
                    "variable" => $variable,
                    "variablepuerto" => $variablepuerto,
                    "variablemaillot" => $variablemaillot,
        ]);
    }

    public function actionCiclistasequipo($nomequipo) {
        $dataProvider = new ActiveDataProvider([
            'query' => Ciclista::find()->select('nombre, edad, dorsal,nomequipo')->distinct()->where("nomequipo='$nomequipo'"),
        ]);
        $variable = yii:: $app->db->createCommand("SELECT DISTINCT c1.nombre,COUNT(numetapa)etapasGanadas FROM etapa RIGHT JOIN (select nombre,dorsal FROM ciclista WHERE nomequipo='$nomequipo')c1 USING(dorsal)GROUP BY c1.nombre")->queryAll();
        $variablepuerto = yii:: $app->db->createCommand("SELECT DISTINCT c1.nombre,COUNT(nompuerto)puertosganados FROM puerto RIGHT JOIN (select nombre,dorsal FROM ciclista WHERE nomequipo='$nomequipo')c1 USING(dorsal)GROUP BY c1.nombre")->queryAll();
        $variablemaillot = yii:: $app->db->createCommand("SELECT DISTINCT c1.nombre,COUNT(código)maillotsllevados FROM lleva RIGHT JOIN (select nombre,dorsal FROM ciclista WHERE nomequipo='$nomequipo')c1 USING(dorsal)GROUP BY c1.nombre")->queryAll();
        return $this->render("ciclistasequipo", [
                    "resultado" => $dataProvider,
                    "nomequipo" => $nomequipo,
                    "variable" => $variable,
                    "variablepuerto" => $variablepuerto,
                    "variablemaillot" => $variablemaillot,
        ]);
    }

    public function actionEstadisticaequipo($nomequipo) {
        $eganadasequipo = new ActiveDataProvider([
            'query' => Etapa::find()->select('COUNT(numetapa)eganadas')->distinct()->where("dorsal IN (select dorsal FROM ciclista WHERE nomequipo='$nomequipo')"),
        ]);
        $c1 = (new \yii\db\Query())->select('etapa.dorsal,COUNT(numetapa)etapasGanadas,nomequipo')->distinct()->from("etapa")->innerJoin('ciclista', 'etapa.dorsal = ciclista.dorsal')->groupBy("dorsal");
        $c2 = (new \yii\db\Query())->select('dorsal,MAX(etapasGanadas)etapasGanadas')->distinct()->from($c1)->groupBy("nomequipo");
        $mejorciclistaequipo = (new \yii\db\Query())->select('ciclista.dorsal,nomequipo,edad, nombre, etapasGanadas')->distinct()->from("ciclista")->innerJoin(['c2' => $c2], 'ciclista.dorsal = c2.dorsal')->where("nomequipo='$nomequipo'")->all();

        $puertosganados = (new \yii\db\Query())->select('COUNT(nompuerto)puertosganados')->distinct()->from('puerto')->where("dorsal IN (select dorsal FROM ciclista WHERE nomequipo='$nomequipo')")->scalar();
        $maillitsganados = (new \yii\db\Query())->select('COUNT(código)maillotsllevados')->distinct()->from('lleva')->where("dorsal IN (select dorsal FROM ciclista WHERE nomequipo='$nomequipo')")->scalar();
        $subconsultaranking2 = (new \yii\db\Query())->select("numetapa,nomequipo,ciclista.dorsal")->FROM("ciclista")
                ->innerJoin('etapa', 'ciclista.dorsal = etapa.dorsal');
        $subconsultaranking = (new \yii\db\Query())->select("nomequipo,COUNT(numetapa)etapasganadas")->from(['ciclista' => $subconsultaranking2])->groupby("nomequipo");
        $rankingequipo = (new \yii\db\Query())->SELECT("COUNT(*)+1")->FROM($subconsultaranking)
                        ->WHERE("etapasganadas>(SELECT COUNT(numetapa)FROM etapa WHERE etapa.dorsal IN (select ciclista.dorsal FROM ciclista WHERE nomequipo='$nomequipo'))")->scalar();
        $subconsultaranking2puerto = (new \yii\db\Query())->select("nompuerto,nomequipo,ciclista.dorsal")->FROM("ciclista")
                ->innerJoin('puerto', 'ciclista.dorsal = puerto.dorsal');
        $subconsultarankingpuerto = (new \yii\db\Query())->select("nomequipo,COUNT(nompuerto)puertosganados")->from(['ciclista' => $subconsultaranking2puerto])->groupby("nomequipo");

        $rankingequipopuerto = (new \yii\db\Query())->SELECT("COUNT(*)+1")->FROM($subconsultarankingpuerto)
                        ->WHERE("puertosganados>(SELECT COUNT(nompuerto)FROM puerto WHERE dorsal IN (select ciclista.dorsal FROM ciclista WHERE nomequipo='$nomequipo'))")->scalar();
        $subconsultaranking2maillots = (new \yii\db\Query())->select("código,nomequipo,ciclista.dorsal")->FROM("ciclista")
                ->innerJoin('lleva', 'ciclista.dorsal = lleva.dorsal');
        $subconsultarankingmaillots = (new \yii\db\Query())->select("nomequipo,COUNT(código)maillotsllevados")->from(['ciclista' => $subconsultaranking2maillots])->groupby("nomequipo");

        $rankingequipomaillots = (new \yii\db\Query())->SELECT("COUNT(*)+1")->FROM($subconsultarankingmaillots)
                        ->WHERE("maillotsllevados>(SELECT COUNT(código)FROM lleva WHERE dorsal IN (select ciclista.dorsal FROM ciclista WHERE nomequipo='$nomequipo'))")->scalar();
        $edadmedia = Ciclista::find()->select("AVG(edad)")->where("nomequipo='$nomequipo'")->scalar();
        $nombredirector = Equipo::find()->select('director')->distinct()->where("nomequipo='$nomequipo'")->scalar();

        return $this->render("estadisticaequipo", [
                    "puertosganados" => $puertosganados,
                    "rankingequipo" => $rankingequipo,
                    "rankingequipopuerto" => $rankingequipopuerto,
                    "edadmedia" => round($edadmedia),
                    "nombredirector" => $nombredirector,
                    "nomequipo" => $nomequipo,
                    "eganadasequipo" => $eganadasequipo,
                    "maillitsganados" => $maillitsganados,
                    "rankingequipomaillots" => $rankingequipomaillots,
                    "mejorciclistaequipo" => $mejorciclistaequipo,
        ]);
    }

    public function actionDatosciclista($dorsal) {
        $datosciclista = new ActiveDataProvider([
            'query' => Ciclista::find()->select('nombre, edad, dorsal,nomequipo')->distinct()->where("dorsal='$dorsal'"),
        ]);
        $maillotsllevados = (new \yii\db\Query())->select('COUNT(código)maillotsllevados')->distinct()->from('lleva')->where("dorsal='$dorsal'")->scalar();
        $etapasganadasciclista = Etapa::find()->select('COUNT(numetapa)egciclista')->where("dorsal='$dorsal'")->scalar();
        $puertosganadasciclista = Puerto::find()->select('COUNT(nompuerto)pganados')->where("dorsal='$dorsal'")->scalar();
        $datospuertos = Puerto::find()->select('nompuerto, altura, pendiente')->where("dorsal='$dorsal'")->all();
        $datosetapa = Etapa::find()->select('numetapa, kms, salida, llegada')->where("dorsal='$dorsal'")->all();
        $datosmaillot = Maillot::find()->select("premio, color, tipo, lleva.código AS codigo1, lleva.numetapa AS numetapa1")
                        ->from('maillot')->leftJoin('lleva', 'lleva.código = maillot.código')->groupby("dorsal,numetapa")->having("lleva.dorsal='$dorsal'")->all();

        return $this->render("datosciclista", [
                    "etapasganadasciclista" => $etapasganadasciclista,
                    "datosciclista" => $datosciclista,
                    "puertosganadasciclista" => $puertosganadasciclista,
                    "datospuertos" => $datospuertos,
                    "datosetapa" => $datosetapa,
                    "datosmaillot" => $datosmaillot,
                    "maillotsllevados" => $maillotsllevados,
        ]);
    }

views/site/_ciclistaequipo.php
<?php

use yii\helpers\Html;


?>
<div class="col-sm-12" >
    <div class="card alturaminimaciclicta">
        <div class="card-body tarjeta">
           
            <h3 class="tituloEquipo"><?= $model->nombre ?></h3>
             
            <p >Dorsal: <?= $model->dorsal ?>  <br> Edad: <?= $model->edad ?></p>
            <p>
                 <?= Html::a('Datos del ciclista', ['site/datosciclista','dorsal'=>$model->dorsal], ['class'=>'btn btn-danger'])?>
            </p>
        </div>
    </div>
</div>

views/site/_datosciclista.php
<?php

use yii\helpers\Html;

?>

<h1 class="titulo-equipo"> Equipo <?= Html::img('@web/img/' . $model->nomequipo . '.png', ['alt' => 'My logo']) ?> <?= Html::a('Estadisticas del equipo', ['site/estadisticaequipo', 'nomequipo' => $model->nomequipo], ['class' => 'btn btn-danger']) ?></h1><br>
<h3 class="nombre-ciclista">
    <br>Ciclista: <?= $model->nombre ?>, dorsal <?= $model->dorsal ?>, edad <?= $model->edad ?>

</h3>

<div class="row">
    <div class="col-sm-4" >
        <div class="card alturaminimacarac">
            <div class="card-body tarjeta-carac-ciclista">
                <h3 class="tituloEquipo">Etapas ganadas:<?= $etapasganadasciclista ?></h3>
                <p>
                <?PHP
                foreach ($datosetapa as $datos) {
                   echo "-Etapa: " . $datos->numetapa . ", Kms: " . $datos->kms . ", Salida: " . $datos->salida . ", Llegada: " . $datos->llegada . ".<br>";
                }
                ?>
</p>
            </div>
        </div>
    </div>
    <div class="col-sm-4" >
        <div class="card alturaminimacarac">
            <div class="card-body tarjeta-carac-ciclista">
                <h3 class="tituloEquipo">Puertos ganados:<?= $puertosganadasciclista ?></h3>
                <?PHP
                foreach ($datospuertos as $datos) {
                    print_r("-Nombre:" . $datos->nompuerto . ", Altura: " . $datos->altura . ", Pendiente: " . $datos->pendiente . "º.<br>");
                }
                ?>

            </div>
        </div>
    </div>
    <div class="col-sm-4" >
        <div class="card alturaminimacarac">
            <div class="card-body tarjeta-carac-ciclista">
                <h3 class="tituloEquipo">Maillots que ha llevado durante las etapas: <?= $maillotsllevados ?></h3>
                <?PHP
                foreach ($datosmaillot as $datos) {
                    print_r("-Etapa: Nº" . $datos->numetapa1 . ", Código: " . $datos->codigo1 . ", Color: " . $datos->color . ", Tipo: " . $datos->tipo . ", Premio: " . $datos->premio . "€.<br>");
                }
                ?>

            </div>
        </div>
    </div>
</div>

views/site/_eganadasequipo.php
<?php
/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Scripting/EmptyPHP.php to edit this template
 */

use yii\helpers\Html;

?>


<div class="body-content">
    <h1 class="titulo-equipo3">Equipo <?= Html::img('@web/img/' . $nomequipo . '.png', ['alt' => 'My logo']) ?> </h1>
   <h4 class="subtitulorankings">El director <?= $nombredirector ?> dirigía un equipo de <?= $edadmedia ?> años de edad media, con el que consiguió:</h4> <br>   
   <div class="row">
    <div class="col-sm-4" >
        <div class="card alturaminimacarac2">
            <div class="card-body tarjeta-carac-ciclista">
                <h3 class="tituloEquipo">Datos de etapas </h3>
                <p>Puesto en el ranking Nº: <?= $rankingequipo ?>.</p>
                <p>Etapas ganadas totales: <?= $model->eganadas ?>.</p>
                

            </div>
        </div>
    </div>
    <div class="col-sm-4" >
        <div class="card alturaminimacarac2">
            <div class="card-body tarjeta-carac-ciclista">
                <h3 class="tituloEquipo">Datos de puertos</h3>
               <p>Puesto en el ranking Nº: <?= $rankingequipopuerto ?>.</p>
                <p>Puertos ganados totales: <?= $puertosganados ?>.</p>

            </div>
        </div>
    </div>
    <div class="col-sm-4" >
        <div class="card alturaminimacarac2">
            <div class="card-body tarjeta-carac-ciclista">
                <h3 class="tituloEquipo">Datos de maillots </h3>
                <p>Puesto en el ranking Nº: <?= $rankingequipomaillots ?>.</p>
                <p>Maillots llevados totales: <?= $maillitsganados ?>.</p>

            </div>
        </div>
    </div>
</div>
   
    
</div>

views/site/_eindividual.php
<?php

use yii\helpers\ArrayHelper;
use yii\helpers\Html;
?>


<div class="card alturaminima">
    <div class="card-body tarjeta">

        <h3 class="tituloEquipo"><?= Html::img('@web/img/' . $model->nomequipo . '.png', ['alt' => 'My logo']) ?></h3>
        <p>Número de ciclistas <?= $model->nciclistas ?></p>
        <p>
<?= Html::a('Ver ciclistas', ['site/ciclistasequipo', 'nomequipo' => $model->nomequipo], ['class' => 'btn btn-danger']) ?>

        </p>
    </div>
</div>

views/site/_img.php
<?php

/* 
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Scripting/EmptyPHP.php to edit this template
 */
?>
<a href=<?=$model->img?>>

views/site/_puertosganadasciclista.php
<?php

/* 
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Scripting/EmptyPHP.php to edit this template
 */
?>
<h4><?=$model->pganados?>  estos son: </h4>

views/site/ciclistas.php
<?php

use yii\helpers\Html;
use miloschuman\highcharts\Highcharts;
use yii\widgets\ListView;
?>

<div class="list-view-ciclictasindividual">
    <h2 class="titulo-ciclista">Todos los ciclistas <br> <?= Html::a('Filtrar por equipos', ['site/equipo'], ['class' => 'btn btn-danger']) ?></h2>

    <script src="https://code.highcharts.com/highcharts.js"></script>
    <div class="graficas">      
        <?php
        foreach ($variable as $key => $values) {
            $nomequipo1[] = ($values['nombre']);
            $etapasGanadas1[] = intval($values['etapasGanadas']);
            $puertosganados1[] = intval($variablepuerto[$key]['puertosganados']);
            $maillotsganados1[] = intval($variablemaillot[$key]['maillotsllevados']);            
        }
        echo
        Highcharts::widget([
            'scripts' => ['modules'],
            'options' => [
                'chart' => ['type' => 'area'],
                'title' => ['text' => 'Desempeño de los ciclistas'],
                'xAxis' => ['categories' => $nomequipo1],
                'yAxis' => ['title' => ['text' => 'Ganadas']],
                'series' => [
                    [
                        'name' => 'Etapas',
                        'colorByPoint' => false,
                        'data' => $etapasGanadas1,
                    ],
                    [
                        'name' => 'Puertos',
                        'colorByPoint' => false,
                        'data' => $puertosganados1,
                    ],
                    [
                        'name' => 'Maillots',
                        'colorByPoint' => false,
                        'data' => $maillotsganados1,
                    ],
                ],
            ],
        ]);
        ?>
        </div>
        <?=
        ListView::widget([
            'dataProvider' => $datosciclista,
            'itemView' => '_ciclistas',
            'layout' => " \n {items} \n\n{pager}",
            'itemOptions' => [
                'class' => 'tarjeta-ciclista',
            ],
        ]);
        ?>
    </div>

views/site/ciclistasequipo.php
<?php

/** @var yii\web\View $this */
use yii\helpers\Html;
use yii\widgets\ListView;
use miloschuman\highcharts\Highcharts;

$this->title = 'ciclistas de equipo';
?>
<div class="row">
    <div class="list-view-ciclictas">

        
<h1 class="titulo-equipo2"> Equipo <?= Html::img('@web/img/' . $nomequipo . '.png', ['alt' => 'My logo']) ?> <?= Html::a('Estadisticas del equipo', ['site/estadisticaequipo', 'nomequipo' => $nomequipo], ['class' => 'btn btn-danger']) ?></h1>
<script src="https://code.highcharts.com/highcharts.js"></script>
<div class="graficas">
    <?php
    
    foreach($variable as $key=> $values){
                        $nomequipo1[] = ($values['nombre']);
                        $etapasGanadas1[] = intval($values['etapasGanadas']);
                        $puertosganados1[]=intval($variablepuerto[$key]['puertosganados']);
                        $maillotsganados1[]=intval($variablemaillot[$key]['maillotsllevados']);
                        
                    }
                    echo
                    Highcharts::widget([
                        'scripts' => ['modules'],
                        'options' => [
                            'chart' => ['type' => 'area'],
                            'title' => ['text' => 'Desempeño de los ciclistas'],
                            'xAxis' => ['categories' => $nomequipo1],
                            'yAxis' => ['title' => ['text' => 'Ganadas']],
                            'series' => [
                                [
                                   'name' => 'Etapas',
                                   'colorByPoint' => false,
                                   'data' => $etapasGanadas1,
                                ],
                                [
                                   'name' => 'Puertos',
                                   'colorByPoint' => false,
                                   'data' => $puertosganados1,
                                ],
                                [
                                   'name' => 'Maillots',
                                   'colorByPoint' => false,
                                   'data' => $maillotsganados1,
                                ],
                            ],
                        ],
                    ]);
    ?>
    </div>
        <?php
        echo ListView::widget([
            'dataProvider' => $resultado,
            'itemView' => '_ciclistaequipo',
            'layout' => " \n {items} \n\n{pager}",
            'itemOptions' => [
                'class' => 'tarjeta-ciclista-equipo',
            ],
            'viewParams' => [
    ],
        ]);
        ?>



    </div>
</div>

views/site/contact.php
<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap4\ActiveForm $form */
/** @var app\models\ContactForm $model */

use yii\bootstrap4\ActiveForm;
use yii\bootstrap4\Html;
use yii\captcha\Captcha;

$this->title = 'Contact';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-contact">
    <h1><?= Html::encode($this->title) ?></h1>

    <?php if (Yii::$app->session->hasFlash('contactFormSubmitted')): ?>

        <div class="alert alert-success">
            Thank you for contacting us. We will respond to you as soon as possible.
        </div>

        <p>
            Note that if you turn on the Yii debugger, you should be able
            to view the mail message on the mail panel of the debugger.
            <?php if (Yii::$app->mailer->useFileTransport): ?>
                Because the application is in development mode, the email is not sent but saved as
                a file under <code><?= Yii::getAlias(Yii::$app->mailer->fileTransportPath) ?></code>.
                Please configure the <code>useFileTransport</code> property of the <code>mail</code>
                application component to be false to enable email sending.
            <?php endif; ?>
        </p>

    <?php else: ?>

        <p>
            If you have business inquiries or other questions, please fill out the following form to contact us.
            Thank you.
        </p>

        <div class="row">
            <div class="col-lg-5">

                <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

                    <?= $form->field($model, 'name')->textInput(['autofocus' => true]) ?>

                    <?= $form->field($model, 'email') ?>

                    <?= $form->field($model, 'subject') ?>

                    <?= $form->field($model, 'body')->textarea(['rows' => 6]) ?>

                    <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                        'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                    ]) ?>

                    <div class="form-group">
                        <?= Html::submitButton('Submit', ['class' => 'btn btn-primary', 'name' => 'contact-button']) ?>
                    </div>

                <?php ActiveForm::end(); ?>

            </div>
        </div>

    <?php endif; ?>
</div>

views/site/datosciclista.php
<?php

/** @var yii\web\View $this */
use yii\helpers\Html;
use yii\widgets\ListView;

$this->title = 'Ciclistas de equipo';
?>

<div class="body-content">

    <?=
    ListView::widget([
        'dataProvider' => $datosciclista,
        'itemView' => '_datosciclista',
        'layout' => " \n {items} \n\n{pager}",
        'viewParams' => ["etapasganadasciclista" => $etapasganadasciclista,
            "datosciclista" => $datosciclista,
            "puertosganadasciclista" => $puertosganadasciclista,
            "datospuertos" => $datospuertos,
            "datosetapa" => $datosetapa,
            "datosmaillot" => $datosmaillot,
            "maillotsllevados" => $maillotsllevados,
            
            
        ],
    ]);
    ?>





</div>
</div>

views/site/error.php
<?php

/** @var yii\web\View $this */
/** @var string $name */
/** @var string $message */
/** @var Exception$exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/estadisticaequipo.php
<?php

use yii\helpers\Html;
use yii\widgets\ListView;

/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Scripting/EmptyPHP.php to edit this template
 */
?>

<?=

ListView::widget([
    'dataProvider' => $eganadasequipo,
    'itemView' => '_eganadasequipo',
    'layout' => " \n {items} \n\n{pager}",
    'viewParams' => ["edadmedia" => $edadmedia,
        "nombredirector" => $nombredirector,
        "nomequipo" => $nomequipo,
        "rankingequipo" => $rankingequipo,
        "rankingequipopuerto" => $rankingequipopuerto,
        "puertosganados" => $puertosganados,
        "maillitsganados" => $maillitsganados,
        "rankingequipomaillots" => $rankingequipomaillots,
        "mejorciclistaequipo" => $mejorciclistaequipo,
        
    ],
]);
?>

views/site/index.php
<?php
use yii\bootstrap4\Html;
$this->title = 'Vuelta Ciclista 1994';
?>

<h1><br><br>¡La web oficial de la Vuelta Ciclista de 1994!</h1>
<style>
  h1{text-align: center;}
</style>

    <div id="carouselCiclistas" class="carousel slide" data-ride="carousel">     
        
        <ol class="carousel-indicators">
            <li data-target="#carouselCiclistas" data-slide-to="0" class="active"></li>
            <li data-target="#carouselCiclistas" data-slide-to="1" class="active"></li>
            <li data-target="#carouselCiclistas" data-slide-to="2" class="active"></li>
        </ol>
        
        
        
        <div class="carousel-inner">
            <div class="carousel-item active">
                <?= Html::img('@web/img/carrusel1.jpg',['class' => 'd-block w-60' ], ['alt' => 'My logo']) ?>
            </div>
            <div class="carousel-item">
                 <?= Html::img('@web/img/carrusel2.jpg',['class' => 'd-block w-60' ], ['alt' => 'My logo']) ?>
            </div>
            <div class="carousel-item">
                <?= Html::img('@web/img/carrusel3.jpg',['class' => 'd-block w-60' ], ['alt' => 'My logo']) ?>
            </div>
        </div>
        <a href="#carouselCiclistas" class="carousel-control-prev" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
        </a>
        <a href="#carouselCiclistas" class="carousel-control-next" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
        </a>
    </div>
<div class="card text-white bg-info mb-3 mt-5">
  <div class="card-header">Header</div>
  <div class="card-body">
    <h5 class="card-title">Info card title</h5>
    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
  </div>
</div>